API ReferenceapilivePOST /v1/questions/{id}/vote

POST /v1/questions/\{id\}/vote

Service: live · operationId: (none)

Toggle an upvote on a question (idempotent — second call removes the vote).

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Vote applied

{
  "type": "object",
  "properties": {
    "voted": {
      "type": "boolean"
    },
    "vote_count": {
      "type": "integer",
      "minimum": 0
    }
  },
  "required": [
    "voted",
    "vote_count"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://live.platform.loop.health/v1/questions/{id}/vote \
  -H "Authorization: Bearer $ACCESS_TOKEN"